# Uses of Class
javax.print.ServiceUIFactory

Packages that use ServiceUIFactory
Package
Description
javax.print
Provides the principal classes and interfaces for the Java Print Service API.

- ## Uses of ServiceUIFactory in javax.print

  Methods in javax.print that return ServiceUIFactory
  Modifier and Type
  Method
  Description
  `ServiceUIFactory`
  PrintService.`getServiceUIFactory()`
  Returns a factory for UI components which allow users to interact with the service in various roles.